import re
import sqlite3

# načtení vstupního textu
with open('15kHz_1740657045.txt') as soubor:
    text = soubor.read()

# příprava regexpové mašiny
pattern = re.compile(r'''
    ^\|\s(.*)\n                 # brand
    ^\|\s<kbd>(.*)</kbd>\n      # model
    ^\|\s.*\s\|\s(.*)\n         # size
    ^\|\s(.*)\n                 # hres
    ^\|\s(.*)\n                 # vres
    ^\|\s.*\s\|\s(.*)\n         # aspect
    ^\|\s(.*)\n                 # inputs
    ^\|\s.*\s\|\s(.*)\n         # support
    ^\|\s.*\s\|\s(.*)\n         # year
    ^\|\s(.*)\n                 # comments
    ''', re.MULTILINE | re.VERBOSE
)

# příprava databáze
connection = sqlite3.connect("monitory.sqlite")
cursor = connection.cursor()

cursor.execute("""
    DROP TABLE IF EXISTS monitory;
""")
cursor.execute("""
    CREATE TABLE monitory (
        id INTEGER PRIMARY KEY,
        brand TEXT,
        model TEXT,
        size TEXT,
        hres TEXT,
        vres TEXT,
        aspect TEXT,
        inputs TEXT,
        support TEXT,
        year TEXT,
        comments TEXT
    );
""")
connection.commit()

# čtení dat a jejich plnění do databáze
for i,match in enumerate(pattern.finditer(text), start=1000):
    brand, model, size, hres, vres, aspect, inputs, support, year, comments = match.groups()
    cursor.execute(
        "INSERT INTO monitory (id, brand, model, size, hres, vres, aspect, inputs, support, year, comments) VALUES (?,?,?,?,?,?,?,?,?,?,?);",
        (i, brand, model, size, hres, vres, aspect, inputs, support, year, comments)
    )
connection.commit()

# uzavření spojení na databázi
cursor.close()
connection.close()
